+2
Answered

Update package for Ubuntu 12.04 LTS

Aleksandar Urošević 5 years ago • updated by Andrey Korzhuev 4 years ago 19

I tried to install package collabshot-0.2-lucid-amd64.deb to Ubuntu 12.04 LTS x86_64 and got missing dependency problem for libqt4-multimedia, which is removed from repos since 11.10.

Can you please update packages for Ubuntu Linux to meet new LTS release?

Thanks for your feedback! We're working on the new version of the collabshot app, as well as the new web interface and it'll be released soon.

@Andrey, I appreciete the reply... but a timeframe a bit more specific would be useful... @Aleksandar basically pointed out this hasn't worked on new versions of Ubuntu for essentially a year (since Ubuntu 2011/10).  12.04 is a 5yr LTS and has been out for more than 5mo's... this update is not enough to keep most people interested. 

Until there is a release for Ubuntu/Mint 12.04 / 12.10 ... My suggestion for others would be to look at JShotShutter,  and Google's Screen Capture,  or FireShot as working alterntives.
+1

You're right Mike, the project was abandoned for almost a year now. I think  we'll have it working this weekend.

@Andrey - awesome to hear!  I've been looking for a good package (like this) to include for DrupalPro, a distro I help maintain for Developing and Theming Drupal -- and screenshots + markups are often used as part of the workflow.

 

I'll check back early next week -- I'd love to help test if you need it.

That's sounds very nice! I've made a few builds for Ubuntu and Mac, they should work on the latest versions of named platforms. Ping me if you have any problems with them. http://collabshot.com/advanced_downloads

@Aleksandar @Mike I've just uploaded the new version of collabshot app, I would appreciate any feedback from you http://collabshot.com/downloads/Linux/collabshot-0.3-ubuntu12.04-i386.deb

+1
Hi, I finally had the time to come back around and try this.  I expected to be able to get boynd just attempting to install.  In short, I didn't install due to the nature of the errors (pretty scary sounding).  Here's what I'm seeing, (downloaded to my desktop then double click to allow ubuntu software center to install file: collabshot-0.3-ubuntu12.04-i386.deb):

The installation of a package which violates the quality standards isn't allowed. This could cause serious problems on your computer. Please contact the person or organisation who provided this package file and include the details beneath.

The package doesn't provide a valid Installed-Size control field. See Debian Policy 5.6.20.

 

Hi Mike, this sounds scary indeed, it was awhile since I used ubuntu last time, so no wonder errors like this are shown, I certainly miss something during package creation, I'll see what I can do next week.

Hey Mike, it has been awhile, but we finally fixed this problem, you can download the latest package here http://collabshot.com/downloads/Linux/collabshot-0.3-ubuntu12.10-i386.deb

Here is console output for collabshot 0.3 i386 installed on Ubuntu 12.04 x86_64. I have no icon, indicator, menu, nothing to setup username/password or some other options in desktop app. After Ctrl-Alt-P and grabbing snap, image was uploaded to http://collabshot.com/show/hOo2VM but I got nothing when I visit my history http://collabshot.com/user/history - You don't have any screenshots in your history yet.  Upload one or take one with our app. Here is console output of that running process:
aleksandar@dionis:~/Downloads$ collabshot
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: wrong ELF class: ELFCLASS64)" 
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64




(collabshot:25003): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so




/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64




(collabshot:25003): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so




/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64




(collabshot:25003): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so




/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64




(collabshot:25003): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so




X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x5000019
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x5000019
PixUpload header
PixUpload header
"uploading to collabshot.com/api/upload.php
POST /api/upload.php HTTP/1.1
Host: collabshot.com
Content-Type: multipart/form-data; boundary=---------------------------dev-collabshot
Content-Length: 120809




-----------------------------dev-collabshot
Content-Disposition: form-data; name="upload-file"; filename="675083a0-abc0-42db-a5bd-12272469501c.png"
Content-Type: image/png




�PNG

" 
Got a buffer underflow! 
{"code":"hOo2VM","status":"ok","url":"http://collabshot.com/show/hOo2VM","uuid":"675083a0-abc0-42db-a5bd-12272469501c"}
"got response from 'collabshot.com/api/upload.php'" 
Got a buffer underflow! 

Thank you, this was helpful! I'll make a x86_64 build and add some new dependencies. Do you use Gnome/Unity or other DM?

+1

Here we go, an amd64 build http://collabshot.com/downloads/Linux/collabshot-0.3-amd64.deb

I'll add desktop shortcut and icon later on

+1

Nice one, now it works nice. There is icon in systray with menu. Now you can work on editor improvement:

* Line tool icon displays arrow, but draw straight line w/o arrow head. This can be improved.

* Numbering tool can be added for presenting steps.

I really appreciate your feedback. I hope to get to the interface part soon and I'll see what would be the best thing to do with line tool.


Could you give me an example of how you're planning to use numbering tool?

I found CollabShot when I try to find some ScreenSteps replacement tool for Linux. Notice numbering steps in image bellow, arrows and box with rounded corners.


This looks useful to me. I'll put it on my to-do list, but current priority is to re-design interface to make space for new tools and features.

Problem installing on Ubuntu 12.10, dependency problems:


sudo dpkg -i collabshot-1.0.0-ubuntu12.10-amd64.deb                                      ...

Unpacking replacement collabshot ...

dpkg: dependency problems prevent configuration of collabshot:

 collabshot depends on libqtmultimediakit1; however:

  Package libqtmultimediakit1 is not installed.

 collabshot depends on libqxt-core0; however:

  Package libqxt-core0 is not installed.

 collabshot depends on libqxt-gui0; however:

  Package libqxt-gui0 is not installed.


Thanks for the bugreport, have you tried to install these dependencies manually?